' This VB-Script starts and controls the Automot-Demo using Environment Variables
' The Variable Pedal is assigned to the Environment Variable EnvPedalPosition
'-----------------------------------------------------------------------------
' Copyright (c) 1999 - 2000 by Vector Informatik GmbH.  All rights reserved.

  Dim CountryStream, StrictStream, FSO
  
  Const CountryFilePath = "..\..\..\..\exec32\vector.ini"
  Const StrictFilePath = "..\..\..\..\vcustom.ini"

  ' get the ToolInfo object
  Set tool = CreateObject("CANutil.ToolInfo")
  Set FSO = CreateObject("Scripting.FileSystemObject")
  Set CountryStream = FSO.OpenTextFile(CountryFilePath,1)
  Set StrictStream = FSO.OpenTextFile(StrictFilePath,1)

  'show disclaimer (language, strict, beta, education)
  Dim language, strict, beta, education    
  Dim FullName
  Dim count
  Dim flag

  ' show disclaimer (language, strict, beta, education)
  if tool.ShowDisclaimer(ReadCountry(),ReadStrict(), 0, 0) <> 1 Then
    wscript.quit
  end if

  Set App = CreateObject("CANoe.Application")
  Set Measurement = App.Measurement
  WScript.ConnectObject App, "App_"

  If Measurement.Running Then
    Measurement.Stop
  End If
   
  On Error Resume Next 

  Do 
    Err.Clear
    OpenConfig("\..\..\Automot.cfg")	
    WScript.Sleep 500
  Loop While flag = 0  'Error: User interface is busy	

  App.CAPL.Compile

  Set Measurement = App.Measurement
  Set Pedal = App.Environment.GetVariable( "EnvPedalPosition")
  Set Panels = App.Configuration.GeneralSetup.PanelSetup.Panels(0) 
  Set Engine = Panels("motor")
  Set Panels = Nothing

  Measurement.Start

  If Engine Is Nothing Then
    MsgBox "No Engine panel avail..."
  Else
    Engine.Visible = False
    WScript.Sleep(500)
    Engine.Visible = True
    Set Engine = Nothing	
  End If

  For count = 0 To 2
    For Position = 0 To 100
      Pedal.Value = Position
      WScript.Sleep(50)
    Next
  Next
  
  Measurement.Stop
  Set tool = nothing
  Set Pedal = Nothing
  Set Measurement = Nothing
  Set App = Nothing

  MsgBox "Environment script done..."


  Sub APP_OnOpen(FullName)
    flag = 1 
  end Sub 


  Function GetFullName( relpath)
    Dim fso, fullpath
    On Error Resume Next
    Set fso = CreateObject("Scripting.FileSystemObject")
    fullpath = fso.GetFile( WScript.ScriptFullName).ParentFolder & relpath
    GetFullName = fso.GetFile( fullpath).Path
    Set fso = Nothing
  End Function

  Sub OpenConfig( relpath)
    'Open the specified config (if it isn't already)
    On Error Resume Next  
    FullName = GetFullName( relpath)
    App.Open( FullName)
    If err = -2147467259 Then
      MsgBox "Script will interrupt!"
      WScript.Quit
    End If
  End Sub

  Function ReadCountry()
    Dim string
    Do While Not CountryStream.AtEndOfStream
      string = CountryStream.ReadLine
        if string = "Country=49" then
          ReadCountry = 49
        elseif string = "Country=01" then
          ReadCountry = 1
        end if
    Loop
    CountryStream.Close
  End Function  


  Function ReadStrict()
    Dim string
    Do While Not StrictStream.AtEndOfStream
      string = StrictStream.ReadLine 
        if string = "Distribution=NoUS" then
          ReadStrict = 0
        elseif string = "Distribution=US" then
          ReadStrict = 1
        end if
    Loop
    StrictStream.Close
  End Function 
